Botan 2.19.5 Crypto and TLS for C&

Public Member Functions | List of all members
Botan::Cert_Extension::Unknown_Extension Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Unknown_Extension:

## Public Member Functions
Unknown_Extension * | copy () const override
const std::vector< uint8_t > & | extension_contents () const
bool | is_critical_extension () const
OID | oid_of () const override
| Unknown_Extension (const OID &oid, bool critical)
void | validate (const X509_Certificate &, const X509_Certificate &, const std::vector< std::shared_ptr< const X509_Certificate > > &, std::vector< std::set< Certificate_Status_Code > > &cert_status, size_t pos) override

## Detailed Description

An unknown X.509 extension Will add a failure to the path validation result, if critical

Definition at line 474 of file x509_ext.h.

## Constructor & Destructor Documentation

## ◆ Unknown_Extension()

Botan::Cert_Extension::Unknown_Extension::Unknown_Extension | ( | const OID & | oid,
|  | bool | critical
| ) |  |
| inline

Definition at line 477 of file x509_ext.h.

477 :
478 m_oid(oid), m_critical(critical) {}

## Member Function Documentation

## ◆ copy()

Unknown_Extension * Botan::Cert_Extension::Unknown_Extension::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 480 of file x509_ext.h.

481 { return new Unknown_Extension(m_oid, m_critical); }
Botan::Cert_Extension::Unknown_Extension::Unknown_Extension
Unknown_Extension(const OID &oid, bool critical)
Definition: x509_ext.h:477

## ◆ extension_contents()

const std::vector< uint8_t > & Botan::Cert_Extension::Unknown_Extension::extension_contents | ( |  | ) | const
| inline

Return the extension contents

Definition at line 494 of file x509_ext.h.

494{ return m_bytes; }

## ◆ is_critical_extension()

bool Botan::Cert_Extension::Unknown_Extension::is_critical_extension | ( |  | ) | const
| inline

Return if this extension was marked critical

Definition at line 499 of file x509_ext.h.

499{ return m_critical; }

## ◆ oid_of()

OID Botan::Cert_Extension::Unknown_Extension::oid_of | ( |  | ) | const
| inline override virtual

Return the OID of this unknown extension

Implements Botan::Certificate_Extension.

Definition at line 486 of file x509_ext.h.

487 { return m_oid; }

## ◆ validate()

void Botan::Cert_Extension::Unknown_Extension::validate | ( | const X509_Certificate & | ,
|  | const X509_Certificate & | ,
|  | const std::vector< std::shared_ptr< const X509_Certificate > > & | ,
|  | std::vector< std::set< Certificate_Status_Code > > & | cert_status,
|  | size_t | pos
| ) |  |
| inline override virtual

Reimplemented from Botan::Certificate_Extension.

Definition at line 501 of file x509_ext.h.

505 {
506 if(m_critical)
507 {
508 cert_status.at(pos).insert(Certificate_Status_Code::UNKNOWN_CRITICAL_EXTENSION);
509 }
510 }
Botan::Certificate_Status_Code::UNKNOWN_CRITICAL_EXTENSION
@ UNKNOWN_CRITICAL_EXTENSION

References Botan::UNKNOWN_CRITICAL_EXTENSION.

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp